#!/usr/bin/perl

# Date: 2009-03-31
# Author: Markus Kwaśnicki

# Decodes a given email header and encodes the result into UTF-8 charset.
# Note to quote whitespaces!

use strict;
use utf8;
use Encode(); 

my $header = $ARGV[0];
if(defined($header)) {
	$header = Encode::decode('MIME-Header', $header);
	utf8::encode($header);
	print $header;
}
